package com.srs.dormitory.service;

import com.srs.common.core.domain.AjaxResult;
import com.srs.dormitory.domain.DmsCampus;
import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.dormitory.domain.Dto.CampusDto;
import com.srs.dormitory.domain.Vo.CampusVo;

import java.util.List;

/**
 * <p>
 * 校区表 服务类
 * </p>
 *
 * @author 猪油骨
 * @since 2023-07-14
 */
public interface IDmsCampusService extends IService<DmsCampus> {

    AjaxResult addCampus(CampusDto name,String username);

    AjaxResult updateCampus(CampusDto campusDto,String username);

    List<CampusVo> campusList(String name);

    AjaxResult deleteCampusById(Long id);

    AjaxResult deleteCampus(List<Long> ids);

    AjaxResult getCampus(Long id);

    AjaxResult cascadingList();
}
